INCLUDES = -I$(top_srcdir) $(all_includes)

lib_LTLIBRARIES = libkcal_groupware.la libtdeabc_groupware.la

libkcal_groupware_la_SOURCES = kcal_resourcegroupware.cpp \
                               kcal_resourcegroupwareconfig.cpp \
                               kcal_groupwareprefsbase.kcfgc
libkcal_groupware_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) \
                               -version-info 1:0:0 -no-undefined
libkcal_groupware_la_LIBADD = \
                              $(top_builddir)/libkcal/libkcal.la \
                              $(top_builddir)/libtdepim/libtdepim.la

libtdeabc_groupware_la_SOURCES = tdeabc_resourcegroupware.cpp \
                               tdeabc_resourcegroupwareconfig.cpp \
                               tdeabc_groupwareprefs.kcfgc
libtdeabc_groupware_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) \
                               -version-info 1:0:0 -no-undefined
libtdeabc_groupware_la_LIBADD = $(top_builddir)/libkcal/libkcal.la \
                              $(top_builddir)/libtdepim/libtdepim.la \
                              -ltdeabc

kde_module_LTLIBRARIES = kcal_groupware.la tdeabc_groupware.la

kcal_groupware_la_SOURCES = kcal_resourcegroupware_plugin.cpp
kcal_groupware_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
kcal_groupware_la_LIBADD = libkcal_groupware.la

tdeabc_groupware_la_SOURCES = tdeabc_resourcegroupware_plugin.cpp
tdeabc_groupware_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
tdeabc_groupware_la_LIBADD = libtdeabc_groupware.la

kcal_servicedir = $(kde_servicesdir)/tderesources/kcal
kcal_service_DATA = kcal_groupware.desktop

tdeabc_servicedir = $(kde_servicesdir)/tderesources/tdeabc
tdeabc_service_DATA = tdeabc_groupware.desktop

METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kres_groupware.pot
